<!--
 |  (C) Copyright IBM Corporation 2001, 2004. All Rights Reserved.
 | This file is part of the DITA package on IBM's developerWorks site.
 | See license.txt for disclaimers and permissions.
 |
 | The Darwin Information Typing Architecture (DITA) was orginated by
 | IBM's XML Workgroup and ID Workbench tools team.
 |
 | Refer to this file by the following public identfier or an appropriate
 | system identifier:
 |
 |   PUBLIC "-//IBM//ELEMENTS DITA Task//EN"
 |
 | Release history (vrm):
 |   1.0.0 Initial release on developerWorks, March 2001 (dita00.zip)
 |   1.0.1 fix 1 on developerWorks, October 2001 (dita01.zip)
 |   1.0.2 consolidated redesign December 2001
 |   1.0.3 fix 1, dtd freeze for UCD-1 January 2002
 |   1.1.0 Release 1 March 2002 (dita10.zip)
 |   1.1.1 Release 1.1 December 2002
 |   1.1.2 Release 1.2 June 2003
 |   1.1.2 Release 1.2 June 2003
 |   1.1.2 Release 1.2 June 2003
 |   1.1.3 Release 1.3 March 2004: bug fixes and map updates
 |   1.1.2 Release 1.2 June 2003
 *-->

<!ENTITY DTDVersion 'V1.1.1' >



<!-- ============ Specialization of declared elements ============ -->
<!ENTITY % taskClasses SYSTEM "task_class.ent">
<!--%taskClasses;-->

<!ENTITY % wiztask        "wiztask">
<!ENTITY % wiztaskbody    "wiztaskbody">
<!ENTITY % wizsteps       "wizsteps">
<!ENTITY % wizopen        "wizopen">
<!ENTITY % wizpage        "wizpage">
<!ENTITY % wizclose        "wizclose">


<!ENTITY % wiztask-info-types "%info-types;">
<!ENTITY included-domains "">

<!ELEMENT wiztask           (%title;, (%titlealts;)?, (%shortdesc;)?, (%prolog;)?, %wiztaskbody;, (%related-links;)?, (%task-info-types;)* )>
<!ATTLIST wiztask            id ID #REQUIRED
                          conref CDATA #IMPLIED
                          %select-atts;
                          outputclass CDATA #IMPLIED
                          xml:lang NMTOKEN #IMPLIED
                          DTDVersion CDATA #FIXED "&DTDVersion;"
                          domains CDATA "&included-domains;"
>

<!ELEMENT wiztaskbody       ((%prereq;)?, (%context;)?, (%wizsteps;)?, (%result;)?, (%example;)?, (%postreq;)?) >
<!ATTLIST wiztaskbody        %univ-atts;
                          outputclass CDATA #IMPLIED
>



<!ELEMENT wizsteps          ((%wizopen;),(%wizpage;)*,(%wizclose;))>
<!ATTLIST wizsteps           %univ-atts;
                          outputclass CDATA #IMPLIED
>

<!ELEMENT wizopen           (%cmd;, (%info;|%substeps;|%tutorialinfo;|%stepxmp;|%choicetable;|%choices;)*, (%stepresult;)?) >
<!ATTLIST wizopen            importance (optional | required) #IMPLIED
                          %univ-atts-no-importance-task;
                          outputclass CDATA #IMPLIED
>
<!ELEMENT wizclose           (%cmd;, (%info;|%substeps;|%tutorialinfo;|%stepxmp;|%choicetable;|%choices;)*, (%stepresult;)?) >
<!ATTLIST wizclose            importance (optional | required) #IMPLIED
                          %univ-atts-no-importance-task;
                          outputclass CDATA #IMPLIED
>
<!ELEMENT wizpage           (%cmd;, (%info;|%substeps;|%tutorialinfo;|%stepxmp;|%choicetable;|%choices;)*, (%stepresult;)?) >
<!ATTLIST wizpage            importance (optional | required) #IMPLIED
                          %univ-atts-no-importance-task;
                          outputclass CDATA #IMPLIED
>


<!--specialization attributes-->

<!ATTLIST wiztask         %global-atts; class  CDATA "- topic/topic task/task wiztask/wiztask ">
<!ATTLIST wiztaskbody     %global-atts; class  CDATA "- topic/body task/taskbody wiztask/wiztaskbody ">
<!ATTLIST wizsteps        %global-atts; class  CDATA "- topic/ol task/steps wiztask/wizsteps ">
<!ATTLIST wizopen	%global-atts; class  CDATA "- topic/li task/step wiztask/wizopen ">
<!ATTLIST wizpage	%global-atts; class  CDATA "- topic/li task/step wiztask/wizpage ">
<!ATTLIST wizclose	%global-atts; class  CDATA "- topic/li task/step wiztask/wizclose ">


